### Signal

# RB Player::playing-stream

#### Declaration

    void
    playing_stream (
      RBPlayer* self,
      gpointer stream_data,
      gpointer user_data
    )

#### Description [src]

The ‘playing-stream’ signal is emitted when the main playing stream changes. It should be used to update the UI to show the new stream. It can either be emitted before or after #rb_player_play returns, depending on the player backend.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`stream_data`

  Type: `gpointer`

  Data associated with the stream.

  The argument can be `NULL`.
  The data is owned by the caller of the function.